%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pbs_installer
Version:       2025.4.9
Release:       1mamba
Summary:       Installer for Python Build Standalone
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/frostming/pbs-installer
Source:        https://pypi.debian.net/pbs-installer/pbs_installer-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pbs_installer-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/pbs-install
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Thu Apr 10 2025 Automatic Build System <autodist@openmamba.org> 2025.4.9-1mamba
- automatic version update by autodist

* Wed Mar 19 2025 Automatic Build System <autodist@openmamba.org> 2025.3.17-1mamba
- automatic version update by autodist

* Sat Mar 15 2025 Automatic Build System <autodist@openmamba.org> 2025.3.11-1mamba
- automatic version update by autodist

* Mon Feb 17 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2025.2.12-1mamba
- package created using the webbuild interface
